Bug 1660135 - [DDF] I had to also install the dlm package in order for step 2 to create a working resource.
Summary: [DDF] I had to also install the dlm package in order for step 2 to create a w...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: Documentation
Version: 8.0
Hardware: All
OS: All
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Steven J. Levine
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 15:19 UTC by Direct Docs Feedback
Modified: 2019-05-22 04:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-17 19:03:44 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Reid Wahl 2018-12-28 04:54:11 UTC
Verified. As it stands, the dlm package can't be a dependency of the lvm2-lockd package AFAIK. lvm2-lockd and dlm-lib are in AppStream, while dlm is in Resilient Storage.

Can we check with PM on whether this is the desired placement?

Comment 2 Steven J. Levine 2019-03-01 15:27:54 UTC
I had this exchange with Chris Feist:

----
>
> In our procedure for configuring a GFS2 file system in a cluster, we
> said this:
>
> "On both nodes of the cluster, install the lvm2-lockd and gfs2-utils
> packages. The lvm2-lockd package is part of the AppStream channel and
> the gfs2-utils package is part of the Resilient Storage channel.
>
> # yum install lvm2-lockd gfs2-utils"
>

Lets add dlm to that yum install line so it now reads:
# yum install lvm2-lockd gfs2-utils dlm

I'm verifying that with Dave, but I think we can go with that for now.
----

So for now it appears to be the desired placement and I'm adding it to the procedure.

Comment 3 Steven J. Levine 2019-03-01 15:37:49 UTC
I asked Chris Feist if that package placement is desired.  I'll update the docs if that changes, but for now I specify which channel each of the three packages is in.


Note You need to log in before you can comment on or make changes to this bug.